const _ = require("lodash")

const isBoolean = (val) => val === false || val === true

const valueExists = (val) => {
  if (typeof val === "string") {
    val = val.trim();
  }
  return (!_.isEmpty(val) || typeof val === 'number' || isBoolean(val));
};

let meh = undefined
console.log(valueExists(meh)) // false
console.log(valueExists("   ")); //false
console.log(valueExists("")); //false
console.log(valueExists("foobar")); //true
console.log(valueExists({})); //false
console.log(valueExists([])); //false
console.log(valueExists(null)); //false
console.log(valueExists(undefined)); //false
console.log(valueExists(false)); //true
console.log(valueExists(true)); //true
console.log(valueExists(0)); //true
console.log(valueExists(42)); //true
;
